> For the complete documentation index, see [llms.txt](https://dar-open-network.gitbook.io/developers/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://dar-open-network.gitbook.io/developers/dar-id/client-id-registration.md).

# Client ID Registration

Before integrating DAR ID OAuth2 authentication, we will set up your unique client ID and client secret. To proceed, please provide the following information about your project:

1. **Project Name**

   The official name of your project.

   *Example*: `"Embarky"`
2. **Project Domain**

   The primary domain or URL where your project is hosted.

   *Example*: `"embarky.xyz"`
3. **Project Description**

   A brief description of your project.
4. **Project Icon URL**

   Direct URL to your project’s icon or logo=

#### **Example**

```
{
  "project_name": "Embarky",
  "project_domain": "embarky.xyz",
  "project_description": "A brief description of your project to help us understand its purpose and functionality.",
  "project_icon_url": "https://example.com/path/to/icon.png"
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://dar-open-network.gitbook.io/developers/dar-id/client-id-registration.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
